Saltar al contenido principal
PATCH
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
Actualizar una definición de acción existente
curl --request PATCH \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "actionUrl": "<string>",
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "type": "bool",
        "description": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "OWNER"
      },
      "supportedValueTypes": [
        "STATIC_VALUE"
      ]
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "type": "bool",
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "ABANDONED_CART"
      }
    }
  ],
  "published": true
}
'
{
  "actionUrl": "<string>",
  "functions": [
    {
      "functionType": "POST_ACTION_EXECUTION",
      "id": "<string>"
    }
  ],
  "id": "<string>",
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "type": "bool",
        "description": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "OWNER"
      },
      "supportedValueTypes": [
        "STATIC_VALUE"
      ]
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "published": true,
  "revisionId": "<string>",
  "archivedAt": 123,
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "objectRequestOptions": {
    "properties": [
      "<string>"
    ]
  },
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "type": "bool",
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "fieldType": "booleancheckbox",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>",
        "referencedObjectType": "ABANDONED_CART"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido
definitionId
string
requerido

Cuerpo

application/json
actionUrl
string

El punto de terminación de la URL en el que se ejecuta la acción.

executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
inputFields
object[]
labels
object

Contiene etiquetas para la acción, que incluyen nombres y descripciones.

objectRequestOptions
object
objectTypes
string[]
outputFields
object[]
published
boolean

Indica si la acción está publicada y disponible para usarse.

Respuesta

successful operation

actionUrl
string
requerido
functions
object[]
requerido
id
string
requerido
inputFields
object[]
requerido
labels
object
requerido
objectTypes
string[]
requerido
published
boolean
requerido
revisionId
string
requerido
archivedAt
integer<int64>
executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]
Last modified on April 13, 2026